
Infrastructure - Task #2060

Story # 2056 (Closed): Metacat upgrade procedure

Map legacy Metacat docids to newly minted Metacat ids (e.g. DOIs)

2011-11-28 18:23 - Ben Leinfelder

Status: Closed Start date: 2011-11-28

Priority: Normal Due date:  

Assignee: Matthew Jones % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: Sprint-2012.05-Block.1.3   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

If we generate new DOIs for every Metacat object, we need to map those DOIs to the existing docid. the DOI will be used for the

DataONE SystemMetadata identifier so we should do the EZID generation before generating the SystemMetadata records. (or do

thaem concurrently).

History

#1 - 2011-12-17 00:54 - Ben Leinfelder

- Assignee set to Ben Leinfelder

This can be done after SystemMetadata has been generated but before ORE maps are generated (because ORE maps contain identifiers in their

RDF/XML content).

The columns in Metacat that will need to be updated with the DOI prefix are:

identifier.guid

systemMetadata.guid

systemMetadataReplicationPolicy.guid

systemMetadataReplicationStatus.guid

xml_access.guid

xml_access.accessfileid

#2 - 2012-01-17 17:51 - Matthew Jones

- Assignee changed from Ben Leinfelder to Matthew Jones

#3 - 2012-01-17 17:51 - Matthew Jones

- Status changed from New to In Progress

#4 - 2012-02-08 22:07 - Matthew Jones

- Category set to Metacat

- Milestone changed from CCI-0.6.4 to CCI-1.0.0

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Task completed.  The Metacat 2.0.0 upgrade procedure now includes the ability to generate DOIs for GUIDs when upgrading, but must be configured

before starting the upgrade process.

Powered by TCPDF (www.tcpdf.org)

2024-04-10 1/1

http://www.tcpdf.org

